Bug 1989178 - grub2: Disable annobin for big-endian linking on ppc64le
Summary: grub2: Disable annobin for big-endian linking on ppc64le
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Javier Martinez Canillas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-02 15:37 UTC by Florian Weimer
Modified: 2021-09-20 19:54 UTC (History)
4 users (show)

Fixed In Version: grub2-2.06-5.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1988732
Environment:
Last Closed: 2021-09-20 19:54:47 UTC
Type: Bug


Attachments (Terms of Use)

Description Florian Weimer 2021-08-02 15:37:39 UTC
As of redhat-rpm-config-194-1.fc35, this issue now also impacts Fedora.

+++ This bug was initially created as a clone of Bug #1988732 +++

Bug 1983727 switches on the annobin plugin for linker invocations. Unfortunately, that causes a grub2 configure test to fail with relocation errors:

+{standard input}: Assembler messages:
+{standard input}:16: Error: reloc 1 not supported by object file format
+{standard input}:17: Error: reloc 1 not supported by object file format
+{standard input}:543: Error: reloc 1 not supported by object file format
+{standard input}:544: Error: reloc 1 not supported by object file format
+{standard input}:618: Error: reloc 1 not supported by object file format
+{standard input}:619: Error: reloc 1 not supported by object file format
+{standard input}:122: Error: reloc 1 not supported by object file format
+{standard input}:123: Error: reloc 1 not supported by object file format
+{standard input}:228: Error: reloc 1 not supported by object file format
+{standard input}:229: Error: reloc 1 not supported by object file format
+{standard input}:334: Error: reloc 1 not supported by object file format
+{standard input}:335: Error: reloc 1 not supported by object file format
+{standard input}:440: Error: reloc 1 not supported by object file format
+{standard input}:441: Error: reloc 1 not supported by object file format

It seems necessary to extend the annobin removal from CFLAGS to LDFLAGS.

--- Additional comment from Florian Weimer on 2021-07-31 16:41:07 CEST ---

Merge request: https://gitlab.com/redhat/centos-stream/rpms/grub2/-/merge_requests/7

Built against c9s-build-side-221-stack-gate, which has redhat-rpm-config-187-1.el9.

--- Additional comment from Florian Weimer on 2021-07-31 19:15:21 CEST ---

Booting with a scratch build on this side tag still works, and the reported GCC version has changed:

grub> version
GNU GRUB  version 2.06~rc1
Platform powerpc-ieee1275
Compiler version 11.2.1 20210728 (Red Hat 11.2.1-2)
grub>

Comment 1 Florian Weimer 2021-08-02 15:38:18 UTC
Failed scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=73148431

Comment 2 Ben Cotton 2021-08-10 13:33:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 3 Fedora Update System 2021-08-30 15:31:47 UTC
FEDORA-2021-51f205d5af has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-51f205d5af

Comment 4 Fedora Update System 2021-08-30 19:01:29 UTC
FEDORA-2021-51f205d5af has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-51f205d5af`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-51f205d5af

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-09-10 14:59:15 UTC
FEDORA-2021-51f205d5af has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-51f205d5af

Comment 6 Fedora Update System 2021-09-10 22:11:05 UTC
FEDORA-2021-51f205d5af has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-51f205d5af`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-51f205d5af

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-09-20 19:54:47 UTC
FEDORA-2021-51f205d5af has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.